package de.hsel.spm.baudas.web;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * all possible error codes.
 *
 * @author Julian Hinxlage
 * @version 0.1
 */
@Getter
@AllArgsConstructor
public enum ErrorCode {
    FILE_NOT_FOUND("Die hochgeladene Datei konnte nicht gefunden werden"),
    EMPTY_FILE("Die hochgeladene Datei ist leer"),
    INVALID_FORMAT("Die hochgeladene Datei hat ein falsches Format");

    private String message;

    /**
     * is there a error code with this name ?.
     *
     * @param message string to search for
     * @return error code exits ?
     */
    public static boolean exists(String message) {
        for (ErrorCode code : values()) {
            System.out.println(message + " == " + code.name());
            if (code.name().equals(message))
                return true;
        }
        return false;
    }
}
