let week_result;

let week_overview = new Chart($("#overview_chart"), {
    type: 'line',
    data: {
        labels: [0, 0, 0, 0, 0],
        datasets: [{
            label: "Warenanzahl",
            data: [0, 0, 0, 0, 0],
            fill: true,
            backgroundColor: 'rgba(104, 216, 154, 0.5)',
            lineTension: 0
        }, {
            label: "Einnahmen in €",
            data: [0, 0, 0, 0, 0],
            fill: true,
            backgroundColor: 'rgba(113, 114, 231, 1)',
            lineTension: 0
        }]
    },
    options: {
        responsive: true,
        title: {
            display: false,
            text: 'Übersicht'
        },
        legend: {
            display: false
        },
        tooltips: {
            mode: 'index',
            intersect: false
        },
        hover: {
            mode: 'nearest',
            intersect: true
        },
        elements: {
            point: {
                radius: 0
            }
        },
        scales: {
            xAxes: [{
                display: true,
                gridLines: {
                    display: false
                }
            }],
            yAxes: [{
                display: true
            }]
        }
    }
});

function updateWeekOverviewChart(id) {
    if (typeof id !== 'undefined') {
        request('week_overview', id).then(function (data) {
            week_result = data;
            updateWeekOverview();
        });
    } else request('week_overview').then(function (data) {
        week_result = data;
        updateWeekOverview();
    });
}

function updateWeekOverview() {
    week_overview.data.labels = week_result.labels;
    week_overview.data.datasets[0].data = week_result.count;
    week_overview.data.datasets[1].data = week_result.revenue;
    week_overview.update();

}