package de.hsel.spm.baudas.analysis;

import org.junit.jupiter.api.Test;

import java.io.File;
import java.net.URL;
import java.time.Duration;
import java.util.Map;
import java.util.concurrent.atomic.AtomicReference;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertTimeout;

/**
 * test for Cluster Analysis.
 *
 * @author Julian Hinxlage
 * @version 0.1
 */
class ClusterTest {

    @Test
    void test100() {
        URL url = getClass().getClassLoader().getResource("kd100.csv");
        assert url != null;

        Cluster cluster = new Cluster(new File(url.getFile()));

        AtomicReference<Map<Integer, Map<String, String>>> results = new AtomicReference<>();


        assertTimeout(Duration.ofMillis(10000), () -> results.set(cluster.getResult()));

        assertEquals("m", results.get().get(0).get("Geschlecht"));
    }

    @Test
    void test1000() {
        URL url = getClass().getClassLoader().getResource("kd1000.csv");
        assert url != null;

        Cluster cluster = new Cluster(new File(url.getFile()));

        AtomicReference<Map<Integer, Map<String, String>>> results = new AtomicReference<>();

        assertTimeout(Duration.ofMillis(2000), () -> results.set(cluster.getResult()));

        assertEquals("m", results.get().get(0).get("Geschlecht"));
    }

    @Test
    void test10000() {
        URL url = getClass().getClassLoader().getResource("kd10000.csv");
        assert url != null;

        Cluster cluster = new Cluster(new File(url.getFile()));

        AtomicReference<Map<Integer, Map<String, String>>> results = new AtomicReference<>();

        assertTimeout(Duration.ofMillis(2000), () -> results.set(cluster.getResult()));

        assertEquals("m", results.get().get(0).get("Geschlecht"));
    }
}